The "List Orders" API allows to retrieve a paginated list of orders. Customize your results by filtering orders based on name, alt type, order status, payment mode, date range, type of source, contact
The "List Orders" API allows to retrieve a paginated list of orders. Customize your results by filtering orders based on name, alt type, order status, payment mode, date range, type of source, contact, funnel products or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve order information.
http
GET https://services.leadconnectorhq.com/payments/orders
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Query parameters
Name
Type
Required
Example
Description
locationId
string
No
3SwdhCu3svxI8AKsPJt6
LocationId is the id of the account.
altId
string
Yes
3SwdhCu3svxI8AKsPJt6
AltId is the unique identifier e.g: account id.
status
string
No
completed
Order status.
paymentStatus
string
No
unpaid
Payment Status of the Order
paymentMode
string
No
live
Mode of payment.
startAt
string
No
2024-02-01
Starting interval of orders.
endAt
string
No
2024-02-13
Closing interval of orders.
search
string
No
Awesome order
The name of the order for searching.
contactId
string
No
XPLSw2SVagl12LMDeTmQ
Contact id for filtering of orders.
funnelProductIds
string
No
61dd0c7dc077f712a5f787ff,61d6afc9d39ac5e35965c017
Funnel product ids separated by comma.
sourceId
string
No
61dd0c7dc077f712a5f787ff
Source id
limit
number
No
20
The maximum number of items to be included in a single page of results
offset
number
No
0
The starting index of the page, indicating the position from which the results should be retrieved.
Responses
200 - Successful response
data (object[], required): An array of orders
_id (string, required): The unique identifier for the order. Example: 653f5e0cde5a1314e62a837c
altId (string, required): AltId is the unique identifier eg: account id. Example: 3SwdhCu3svxI8AKsPJt6
altType (string, required): AltType is the type of identifier. Example: account
contactId (string): Contact id corresponding to the order. Example: XPLSw2SVagl12LMDeTmQ
contactName (string): Contact name corresponding to the order. Example: James Bond
contactEmail (string): Contact email corresponding to the order. Example: james.bond@leadwaycrm.com
currency (string): Currency in which order was created. Example: USD
amount (number): Order value. Example: 100
subtotal (number): Order sub-total value. Example: 100
discount (number): Discount value on order. Example: 10
status (string, required): The status of the order (e.g., completed). Example: completed
liveMode (boolean): Order is in live / test mode. Example: false
totalProducts (number): Total products in an order. Example: 5
sourceType (string, required): Source type of order (eg: funnel). Example: funnel
sourceName (string): Source name for the order. Example: onestep
sourceId (string): Source id for the order. Example: kDj7BHej9Zyyq3QakJmz
sourceMeta (object): Meta content for the source of order. Example: { domain: "app.leadwaycrm.com", pageId: "rBVhyYhMsbxbO8ZqOcei", pageUrl: "/v2/preview/rBVhyYhMsbxbO8ZqOcei", stepId: "5a772f62-3fbc-418b-af1b-be8929dd64c2"}
couponCode (string): Coupon code for the order. Example: 100PER
createdAt (string, required): The creation timestamp of the order. Example: 2023-11-20T10:23:36.515Z
updatedAt (string, required): The last update timestamp of the order. Example: 2024-01-23T09:57:04.846Z
sourceSubType (string): Source sub-type for the order. Example: one_step_order_form
fulfillmentStatus (string): Fulfillment status of the order. Example: unfulfilled
onetimeProducts (number): Total one time products in an order. Example: 1
recurringProducts (number): Total recurring time products in an order. Example: 1
createdBy (string): User ID who created the order. Example: user123